Description: set external_edit extension to .ics
Author: Andrew Jeffery <dev@jeffas.net>
Origin: upstream, https://github.com/pimutils/khal/commit/a0e3fd1
Bug: https://github.com/pimutils/khal/issues/1371
Last-Update: 2025-01-13
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/khal/ui/__init__.py
+++ b/khal/ui/__init__.py
@@ -753,7 +753,7 @@
         assert not self.editor
         if external_edit:
             self.pane.window.loop.stop()
-            ics = click.edit(event.raw)
+            ics = click.edit(event.raw, extension=".ics")
             self.pane.window.loop.start()
             if ics is None:
                 return
